#! /usr/bin/make -f

export PYBUILD_NAME=py7zr

# test_compress_* require tests/data/lib, which we removed due to missing copyright
# test_concurrent_futures tries to access internet
# test_bcj_* uses binary files removed dues to missing copyright
# test_cli, test_archive_already_exist, test_volume_creation_wrong_volume_unit uses importlib_metadata which requires an egg-info dir, which we cant build (bdist_egg) because setuptools_scm cant detect a version
export PYBUILD_TEST_ARGS=-k "not test_compress_arm64 \
			  and not test_compress_ppc \
			  and not test_compress_ia64 \
			  and not test_compress_sparc \
			  and not test_compress_armt \
			  and not test_concurrent_futures \
			  and not test_bcj_encode \
			  and not test_bcj_decode \
			  and not test_cli_no_subcommand \
			  and not test_cli_info \
			  and not test_archive_already_exist \
			  and not test_volume_creation_wrong_volume_unit \
			  "

%:
	dh $@ --buildsystem=pybuild
